//
// Created by Kirill Zhukov on 20.04.2025.
//

#ifndef WAL_H
#define WAL_H

#include <fstream>

namespace usub::utils
{
    class WAL
    {
        std::ofstream out;

    public:
        explicit WAL(const std::string& filename);

        void write_put(const std::string& key, const std::string& value);

        void write_delete(const std::string& key);

        void close();
    };
} // utils
// usub

#endif //WAL_H
